<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.wildfly</groupId>
        <artifactId>wildfly-ts-integ</artifactId>
        <version>10.0.0.Final</version>
    </parent>

    <!-- ********************************************************************************** -->
    <!-- ************************* Manual-mode Integration Tests ************************** -->
    <!-- ********************************************************************************** -->
    <artifactId>wildfly-ts-integ-manualmode</artifactId>

    <name>WildFly Test Suite: Integration - Manual Mode Tests</name>

    <properties>
        <jbossas.ts.integ.dir>${basedir}/..</jbossas.ts.integ.dir>
        <jbossas.ts.dir>${jbossas.ts.integ.dir}/..</jbossas.ts.dir>
        <jbossas.project.dir>${jbossas.ts.dir}/..</jbossas.project.dir>
    </properties>

    <profiles>

        <profile>
            <id>manualmode.integration.tests.profile</id>
            <activation>
                <property>
                    <name>!noManualmode</name>
                </property>
            </activation>

            <properties>
            </properties>

            <!--
                Server configuration executions.
                Naming convention for executions (which we read in the log): for server config X, call it X.server
            -->
            <build>
                <plugins>

                    <!-- Build the server configuration(s) -->
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-antrun-plugin</artifactId>
                        <executions combine.children="append">
                            <execution>
                                <id>build-manual-mode-servers</id>
                                <phase>process-test-resources</phase>
                                <goals>
                                    <goal>run</goal>
                                </goals>
                                <configuration>
                                    <target>
                                        <ant antfile="${jbossas.ts.integ.dir}/src/test/scripts/manualmode-build.xml">
                                            <property name="management.address" value="${node0}"/>
                                            <property name="node1" value="${node1}"/>
                                            <property name="node0" value="${node0}"/>
                                            <property name="mcast.ttl" value="${mcast.ttl}"/>
                                            <property name="jboss.dist" value="${jboss.dist}"/>
                                            <target name="build-manual-mode"/>
                                        </ant>
                                    </target>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>


                    <!-- Surefire. -->
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <configuration>

                            <!-- Workaround for nasty and hacky tests not cleaning up completely after themselves. -->
                            <reuseForks>false</reuseForks>

                            <includes>
                                <include>org/jboss/as/test/manualmode/**/*TestCase.java</include>
                            </includes>
                            <runOrder>alphabetical</runOrder>

							<environmentVariables>
                                        <JBOSS_HOME>${jboss.dist}</JBOSS_HOME>
                            </environmentVariables>

                            <!-- Parameters to test cases. -->
                            <systemPropertyVariables combine.children="append">
                                <arquillian.launch>manual-mode</arquillian.launch>
                                <jboss.server.config.file.name>standalone-ha.xml</jboss.server.config.file.name>
                                <!-- needed for SSLEJBRemoteClientTestCase only, however setting them from within the test itself isn't possible -->
                                <javax.net.ssl.trustStore>${basedir}/src/test/resources/ejb3/ssl/jbossClient.truststore</javax.net.ssl.trustStore>
                                <javax.net.ssl.keyStore>${basedir}/src/test/resources/ejb3/ssl/jbossClient.keystore</javax.net.ssl.keyStore>
                                <javax.net.ssl.trustStorePassword>clientPassword</javax.net.ssl.trustStorePassword>
                                <javax.net.ssl.keyStorePassword>clientPassword</javax.net.ssl.keyStorePassword>
                                <javax.net.debug>ssl</javax.net.debug>
                                <!-- EJB client library hack, see WFLY-4973-->
                                <org.jboss.ejb.client.wildfly-testsuite-hack>true</org.jboss.ejb.client.wildfly-testsuite-hack>
                            </systemPropertyVariables>
                        </configuration>

                    </plugin>
                </plugins>
            </build>
        </profile>

    </profiles>
</project>
